# Shopify

## Using the Erathos platform:

The rate limit for Shopify API is based on the complexity of the requested data. The more fields are queried the higher the consumption and potential wait required to complete the extraction.

In order to create a Shopify connection with its own isolated rate limit usage, our platform requires the credentials of your own OAuth App. Follow the steps bellow to create a new app.

## Credentials

1. After selecting the Shopify connector, navigate to its credentials page on Erathos platform.
   1. Copy the Redirect URL.
2. Go to [Shopify dev dashboard](https://dev.shopify.com/dashboard/).
   1. On Apps tab, click on the **Create App** button. Two options will be shown: Get started with Shopify CLI or Start with Dev Dashboard.
   2. Choose Dev Dashboard by typing a name and clicking Create.
   3. Upon creation you will be redirected to the App **Versions** tab.
      1. Use `https://app.erathos.com` as **App URL**.
      2. Disable the option **Incorporate app in Shopify admin**.
      3. Choose the permission **Scopes** to concede to the App: `read_all_orders,read_orders,read_products,read_shipping,read_inventory,read_customers,read_assigned_fulfillment_orders`.
      4. Enable the option **Use Legacy Install Flow**.
      5. Paste Erathos Redirect URL copied during step 1.a in the field **Redirect URLs**.
      6. Click **Launch** to finish the version creation.
   4. Use the sidebar to go to the **Settings** tab. There you will find the **Client ID** and **Secret Key** that needs to be filled in Erathos credential page acessed during step 1.
3. Back on Erathos, continue from the connection credentials page in step 1:
   1. Paste the **Client ID**.
   2. Paste the Secret Key in the field **Client Secret**.
   3. Type your **shop name** omiting shopify.com (e.g. yourstore for **yourstore**.shopify.com).
   4. Click on **Save and test.**
4. After being redirected to the Connection settings page, go back the credentials page.&#x20;
   1. There click on **Authorize integration** in order to be redirected to Shopify.
   2. Read the permissions being conceded and confirm the authorization.
   3. After being redirected back to Erathos, click on **Save and test** to finish.
5. Your connection is now ready be used. Proceed to the manage jobs option to choose which endpoints and fields you wish to extract.

## What endpoints can I access with the Erathos platform?

* customers
* inventory\_items
* orders
* products
* shipping
* shop


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.erathos.com/connectors/apis/shopify.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
